#include <iostream>

using namespace std;

int main()
{
    int c1, a1, c2, a2;
    
    cin>>c1>>c2;
    cin>>a1>>a2;
    
    if(a1 > a2 + 1 || a1 + 1 < a2)
        cout<<"nemoguce";

    return 0;
}